package com.palmnest.application.dto.input;

import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

public class AirConditionerAddTimeInputDto implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 8520648987464369430L;
	
	private String floorId;//楼层Id 暂时定一层
	private String roomNos;//申请房号IDS(ID,ID)
	private String roomNames;//申请房号名称(名称,名称)
	private String applyArea;//申请面积
	
	private Integer isSelectRoom = 0;        //是否可选房间号
	private String selectRoomNames;//选择的申请房号名称(名称,名称)
	
	

    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss") 
	private Date useStartTime;		//使用开始时间
    

    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss") 
	private Date useEndTime;		//使用结束时间
	
	private String applyUser;//'申请人姓名',	
	private String applyTel;//'申请人手机号',
	
	private Integer isAppManageBook;	
	private Integer wxUserId;	//微信用户Id -保存审核流程里
	
	private String switchUserId;//空调开关人员ID--23状态时提交
	
	private String openId;
	private String virtualId;//企业ID
	private String virAccountId;//企业账号ID
	private String billSource;
	private Integer billFrom;//单据来源
	
	private Long billId;
	private String auditResult;//审核结果 0不同意 1 同意
	private String auditOpinion;//审批意见
	private String currentBillStatus;//单前单据状态 防止重复提交
	
	//取消
	//billId
	//currentBillStatus
	private String cancelReason;//取消原因

	public String getRoomNos() {
		return roomNos;
	}
	public void setRoomNos(String roomNos) {
		this.roomNos = roomNos;
	}
	public String getRoomNames() {
		return roomNames;
	}
	public void setRoomNames(String roomNames) {
		this.roomNames = roomNames;
	}
	
	
	public Date getUseStartTime() {
		return useStartTime;
	}
	public void setUseStartTime(Date useStartTime) {
		this.useStartTime = useStartTime;
	}
	public Date getUseEndTime() {
		return useEndTime;
	}
	public void setUseEndTime(Date useEndTime) {
		this.useEndTime = useEndTime;
	}
	public String getApplyUser() {
		return applyUser;
	}
	public void setApplyUser(String applyUser) {
		this.applyUser = applyUser;
	}
	public String getApplyTel() {
		return applyTel;
	}
	public void setApplyTel(String applyTel) {
		this.applyTel = applyTel;
	}
	public String getOpenId() {
		return openId;
	}
	public void setOpenId(String openId) {
		this.openId = openId;
	}
	public String getVirtualId() {
		return virtualId;
	}
	public void setVirtualId(String virtualId) {
		this.virtualId = virtualId;
	}
	public String getVirAccountId() {
		return virAccountId;
	}
	public void setVirAccountId(String virAccountId) {
		this.virAccountId = virAccountId;
	}
	public String getApplyArea() {
		return applyArea;
	}
	public void setApplyArea(String applyArea) {
		this.applyArea = applyArea;
	}
	public String getBillSource() {
		return billSource;
	}
	public void setBillSource(String billSource) {
		this.billSource = billSource;
	}
	public Integer getBillFrom() {
		return billFrom;
	}
	public void setBillFrom(Integer billFrom) {
		this.billFrom = billFrom;
	}
	public Long getBillId() {
		return billId;
	}
	public void setBillId(Long billId) {
		this.billId = billId;
	}
	public String getAuditOpinion() {
		return auditOpinion;
	}
	public void setAuditOpinion(String auditOpinion) {
		this.auditOpinion = auditOpinion;
	}
	public String getCurrentBillStatus() {
		return currentBillStatus;
	}
	public void setCurrentBillStatus(String currentBillStatus) {
		this.currentBillStatus = currentBillStatus;
	}
	public String getAuditResult() {
		return auditResult;
	}
	public void setAuditResult(String auditResult) {
		this.auditResult = auditResult;
	}
	public String getCancelReason() {
		return cancelReason;
	}
	public void setCancelReason(String cancelReason) {
		this.cancelReason = cancelReason;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}
	public String getSwitchUserId() {
		return switchUserId;
	}
	public void setSwitchUserId(String switchUserId) {
		this.switchUserId = switchUserId;
	}
	public String getFloorId() {
		return floorId;
	}
	public void setFloorId(String floorId) {
		this.floorId = floorId;
	}
	public Integer getIsAppManageBook() {
		return isAppManageBook;
	}
	public void setIsAppManageBook(Integer isAppManageBook) {
		this.isAppManageBook = isAppManageBook;
	}
	public String getSelectRoomNames() {
		return selectRoomNames;
	}
	public void setSelectRoomNames(String selectRoomNames) {
		this.selectRoomNames = selectRoomNames;
	}
	public Integer getIsSelectRoom() {
		return isSelectRoom;
	}
	public void setIsSelectRoom(Integer isSelectRoom) {
		this.isSelectRoom = isSelectRoom;
	}
	public Integer getWxUserId() {
		return wxUserId;
	}
	public void setWxUserId(Integer wxUserId) {
		this.wxUserId = wxUserId;
	}

}
